# vim: ft=make ts=4 sw=4 noet

NAME    = zlib
VERSION = 1.3.1
GARTYPE = v2

DESCRIPTION = Zlib data compression library
define BLURB
  zlib is a free, general-purpose lossless data-compression library.
endef

MASTER_SITES =
DYNURLS = https://github.com/madler/zlib/releases/download/v$(VERSION)/$(DISTNAME).tar.gz
DISTFILES    += $(DISTNAME).tar.gz

LICENSE = README

PACKAGES             += OZSWzlib
SPKG_DESC_OZSWzlib   = Zlib data compression library
CATALOGNAME_OZSWzlib = zlib
PKGFILES_OZSWzlib    = .*

# zlib uses its own non-autoconf Configure script; only pass what it understands
CONFIGURE_ENV  = CC="$(CC)"
CONFIGURE_ENV += CFLAGS="$(CC_FLAGS) $(CPPFLAGS)"
CONFIGURE_ENV += LDFLAGS="$(LD_FLAGS)"

CONFIGURE_ARGS = --prefix=$(prefix)
CONFIGURE_ARGS += --libdir=$(libdir)
CONFIGURE_ARGS += --includedir=$(includedir)

include gar/category.mk
